package org.ow2.jonas.cxf.mdb.test.impl;

import org.ow2.jonas.cxf.transport.mdb.api.ContextInfo;

public interface Checker {

    void reset();
    void addCall(ContextInfo contextInfo);
    
    
    void handleFault(ContextInfo contextInfo, Throwable exception);        

    void handleResponse(ContextInfo contextInfo, Object response);        

    
    void replyWithoutCall(ContextInfo contextInfo);
    
    boolean isKnownContext(ContextInfo contextInfo);
    
    int getCallsSize();
    int getDeltaSize();
    int getErrorsSize();
    int getInvalidProtocolSize();
    
    Object getAnswer(String operationName);
    String getError(String operationName);
}
