package org.ow2.jonas.cxf.mdb.test.impl;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.EJB;
import javax.ejb.MessageDriven;

import org.ow2.jonas.cxf.transport.mdb.AbsMDBTransportMessageDrivenBean;
import org.ow2.jonas.cxf.transport.mdb.IMDBTransportSingletonBean;

@MessageDriven(activationConfig = { @ActivationConfigProperty(propertyName = "destination", propertyValue = "endpointQueue"),
        @ActivationConfigProperty(propertyName = "destinationType", propertyValue = "javax.jms.Queue") })
public class MDBEndpointMessageDrivenBean extends AbsMDBTransportMessageDrivenBean {

    public MDBEndpointMessageDrivenBean() {
        super();
    }
    
    
    @EJB
    protected void setSingletonBean(IMDBTransportSingletonBean singletonBean) {
        super.setSingletonBean(singletonBean);
    }
}
